@echo off
dir
echo.
echo If you have at least 10 Meg of free space left, press any key to continue
echo.
echo    Otherwise, press ^C (Ctrl-C) to abort installation
pause
cls
echo.
echo.
echo      Checking to make sure you placed H2H-Xmas in your Doom2 directory.
echo.
REM
REM     Check to make sure H2H-Xmas.zip was unzipped into the Doom2 directory.
REM
if exist Doom2.exe goto next
goto error1
:next
if exist Doom2.wad goto OK
goto error1
REM
REM  Abort the install
REM
:error1
echo.
echo          Doom2.wad and Doom2.exe not found in this directory.
echo.
echo          Please unzip H2H-Xmas.zip into your Doom2 directory.
echo.
echo.
echo                           ABORTING INSTALL
echo.
goto end
REM
REM Proceed with installation.
REM
:OK
echo.        Found doom2.wad and doom2.exe, proceeding with installation.
echo.
copy h2h-xraw.wad h2h-xmas.wad
deusf -merge h2h-xmas.wad
pause
echo.
echo.       H2H-Xmas.wad is now playable.  When ready, type:     H2H-Xmas
echo.
echo.
echo        Note: if you haven't upgraded to version 1.9 either start a new
echo.
echo                  game immediately or use the warp command.
echo.
echo                  Example: doom2 -file h2h-xmas.wad -warp 1
echo.
echo.
echo             Season's Greetings from all of us at H2H Gaming Network
echo.
echo.                   E-mail comments to jelson@conline.com
:end
